> ## Documentation Index
> Fetch the complete documentation index at: https://v3.captaindata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Run's Results



## OpenAPI

````yaml get /v3/jobs/{job_uid}/results
openapi: 3.0.2
info:
  title: Captain Data's Public API
  description: Captain Data's API v3
  version: 3.0.0
servers: []
security:
  - APIKeyHeader: []
    ProjectIdHeader: []
tags:
  - name: Workspace
    description: Endpoints related to workspace management
  - name: Users
    description: Endpoints related to users management
  - name: Integrations
    description: Endpoints related to integration accounts management
  - name: Workflows
    description: Endpoints related to running Workflows
  - name: Runs
    description: Endpoints related to fetching Run's Results & details
  - name: Inputs
    description: Endpoints related to fetching Run's Inputs
  - name: Webhooks
    description: Endpoints related to Webhooks management
paths:
  /v3/jobs/{job_uid}/results:
    get:
      tags:
        - Runs
      summary: Get a Run's Results
      operationId: v3_get_job_results
      parameters:
        - required: true
          schema:
            title: Job UID
            type: string
            format: uuid
          name: job_uid
          in: path
        - required: false
          schema:
            title: Page
            type: integer
          name: page
          in: query
        - required: false
          schema:
            title: Key
            type: string
          name: key
          in: query
        - required: false
          schema:
            title: Nbr Page
            anyOf:
              - type: string
              - type: integer
          name: nbr_page
          in: query
        - required: false
          schema:
            title: Items Per Page
            type: integer
          name: items_per_page
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
              example:
                items_count: 1
                pages: 1
                limit: 1000
                results:
                  - linkedin_profile_id: '202317'
                    linkedin_profile_url: https://www.linkedin.com/in/yann-lecun
                    linkedin_profile_handle: yann-lecun
                    first_name: Yann
                    last_name: Lecun
                    full_name: Yann Lecun
                    birth_date: ' '
                    industry: Research
                    profile_country: US
                    headline: VP & Chief AI Scientist
                    job_title: VP & Chief AI Scientist at Meta
                    summary: >-
                      Professor, researcher, and R&D manager with academic and
                      industry experience in AI, machine learning, deep
                      learning, computer vision, intelligent data analysis, data
                      mining, data compression,  digital library systems, and
                      robotics.


                      Specialties: research, technical consulting, scientific
                      advising.
                    languages: []
                    skills:
                      - Research
                      - machine learning
                      - computer vision
                      - robotics
                      - Statistical Data Analysis
                      - Data Mining
                      - C
                      - C++
                      - Image Processing
                      - Research Management
                      - Computational Neuroscience
                      - Image Compression
                      - Artificial Intelligence
                      - Pattern Recognition
                      - Machine Learning
                      - Algorithms
                      - Computer Vision
                      - Perl
                      - Computer Science
                      - Robotics
                    sales_navigator_profile_id: ACoAAAADFk0BbiOeu2Wrer11SaPH_5m1GM8pG6Q
                    profile_language: en
                    location: New York, New York
                    profile_image_url: >-
                      https://media.licdn.com/dms/image/v2/C4D03AQHBLoV7GRUP2w/profile-displayphoto-shrink_200_200/profile-displayphoto-shrink_200_200/0/1642552032280?e=1738195200&v=beta&t=gMdKE7Sb_we1WA9qi76MThyCcPtMR53VNJazRlHxNDw
                    experiences:
                      - title: VP & Chief AI Scientist at Meta
                        company_name: Facebook
                        company_description: null
                        company_employees_range: '10001 - '
                        linkedin_company_url: https://www.linkedin.com/company/facebook/
                        location: New York, New York, United States
                        company_industry: Computer Software
                        linkedin_company_id: '76987811'
                        date: 10/2021 - current
                        job_time_period: 3 years 1 month
                        job_contract_type: Part-time
                        company_logo_url: >-
                          https://media.licdn.com/dms/image/v2/C4E0BAQHi-wrXiQcbxw/company-logo_100_100/company-logo_100_100/0/1635988509331/facebook__logo?e=1740614400&v=beta&t=5cWo7rd4rN0c2vt0TwYzepv8JpQ55f-_0F3vzVHDoGk
                    education:
                      - school_name: null
                        title: Computer Science
                        date: 1983 - 1987
                        school_url: >-
                          https://www.linkedin.com/school/universite-pierre-et-marie-curie/
                        linkedin_school_url: >-
                          https://www.linkedin.com/school/universite-pierre-et-marie-curie/
                        linkedin_school_id: '12554'
                        degree_name: PhD, Computer Science
                      - school_name: ESIEE PARIS
                        title: Electrical and Electronics Engineering
                        date: 1978 - 1983
                        school_url: https://www.linkedin.com/school/esiee-paris/
                        linkedin_school_url: https://www.linkedin.com/school/esiee-paris/
                        linkedin_school_id: '20041'
                        degree_name: >-
                          Engineering Diploma, Electrical and Electronics
                          Engineering
                    school_name: null
                    linkedin_school_url: >-
                      https://www.linkedin.com/school/universite-pierre-et-marie-curie/
                    volunteer_experiences: []
                    number_connections: 1365
                    company_employees_range: '10001 - '
                    company_name: Facebook
                    company_industry: Computer Software
                    linkedin_company_url: https://www.linkedin.com/company/facebook/
                    number_followers: 849568
                    linkedin_people_post_search_url: >-
                      https://www.linkedin.com/search/results/content/?fromMember=%5B%22ACoAAAADFk0BbiOeu2Wrer11SaPH_5m1GM8pG6Q%22%5D
                    connection_degree: DISTANCE_2
                    open_to_work: false
                    linkedin_thread_id: null
                    following: null
                    description: >-
                      Professor, researcher, and R&D manager with academic and
                      industry experience in AI, machine learning, deep
                      learning, computer vision, intelligent data analysis, data
                      mining, data compression,  digital library systems, and
                      robotics.


                      Specialties: research, technical consulting, scientific
                      advising.
                    extracted_at: '2024-11-26 20:07:11'
                paging:
                  previous: null
                  next: null
                  have_next_page: false
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
              example:
                detail:
                  - loc:
                      - path
                      - job_uid
                    msg: value is not a valid uuid
                    type: type_error.uuid
      security:
        - APIKeyHeader: []
          ProjectIdHeader: []
components:
  schemas:
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items: 61c7f447-c888-4823-b42f-2a23e4e31a10
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        The Authorization header must include 'x-api-key' followed by your API
        key (e.g., 'Authorization: x-api-key YOUR_API_KEY').
    ProjectIdHeader:
      type: apiKey
      in: header
      name: x-project-id
      description: Workspace UID required to identify the workspace.

````